org.apache.pdfbox.preflight.graphic

## Enum ColorSpaces

- java.lang.Object
- - java.lang.Enum<ColorSpaces>
  - - org.apache.pdfbox.preflight.graphic.ColorSpaces

All Implemented Interfaces:
  Serializable, Comparable<ColorSpaces>

    public enum ColorSpaces
    extends Enum<ColorSpaces>

This enum makes ColorSpaces validation easier. Labels represent ColorSpace names as defined in the "PDF Reference 1.4".

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CalGray`
`CalRGB`
`CMYK`
`DeviceCMYK`
`DeviceGray`
`DeviceN`
`DeviceRGB`
`G`
`I`
`ICCBased`
`Indexed`
`Lab`
`Pattern`
`RGB`
`Separation`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getLabel()`
`static ColorSpaces` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ColorSpaces[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Lab

    public static final ColorSpaces Lab

#### CalRGB

    public static final ColorSpaces CalRGB

#### CalGray

    public static final ColorSpaces CalGray

#### DeviceN

    public static final ColorSpaces DeviceN

#### Indexed

    public static final ColorSpaces Indexed

#### I

    public static final ColorSpaces I

#### Pattern

    public static final ColorSpaces Pattern

#### ICCBased

    public static final ColorSpaces ICCBased

#### DeviceRGB

    public static final ColorSpaces DeviceRGB

#### RGB

    public static final ColorSpaces RGB

#### DeviceGray

    public static final ColorSpaces DeviceGray

#### G

    public static final ColorSpaces G

#### DeviceCMYK

    public static final ColorSpaces DeviceCMYK

#### CMYK

    public static final ColorSpaces CMYK

#### Separation

    public static final ColorSpaces Separation

### Method Detail

#### values

    public static ColorSpaces[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColorSpaces c : ColorSpaces.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColorSpaces valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getLabel

    public String getLabel()

Returns:
  the label